<ng-container *ngIf="user">
  <!-- use thumbnail -->
  <ng-container *ngIf="user.avatar; else initial">
    <!-- image -->
    <img [alt]="user.email" [src]="user.avatar" />
  </ng-container>

  <!-- use initial -->
  <ng-template #initial>
    {{ userInitial }}
  </ng-template>
</ng-container>
